Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.doc.rtf
Class model

    java.lang.Object
      |
      +--org.openorb.compiler.doc.rtf.model

public class model
extends java.lang.Object

This class is used as a model for a RTF document.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:19 $
Author:
  Jerome Daniel

Field Summary
`java.lang.String` | `attribute` Extra special effects ( underline, italic, bold, uppercase, left, right, center, justified )
`java.lang.String` | `backcolor` Background color
`java.lang.String` | `backgroundNumber` Background color number
`java.lang.String` | `border` Border attributes ( box, bottom, top, left, right, simple, double, dotted, shadowed )
`java.lang.String` | `color` Font color
`java.lang.String` | `colorNumber` Font color number
`java.lang.String` | `fontFamily` Font family
`java.lang.String` | `fontName` Font name
`java.lang.String` | `fontNumber` Font number
`java.lang.String` | `fontSize` Font size

Constructor Summary
`model()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontName

    public java.lang.String fontName

  Font name

### fontFamily

    public java.lang.String fontFamily

  Font family

### fontNumber

    public java.lang.String fontNumber

  Font number

### fontSize

    public java.lang.String fontSize

  Font size

### color

    public java.lang.String color

  Font color

### colorNumber

    public java.lang.String colorNumber

  Font color number

### attribute

    public java.lang.String attribute

  Extra special effects ( underline, italic, bold, uppercase, left, right, center, justified )

### border

    public java.lang.String border

  Border attributes ( box, bottom, top, left, right, simple, double, dotted, shadowed )

### backcolor

    public java.lang.String backcolor

  Background color

### backgroundNumber

    public java.lang.String backgroundNumber

  Background color number

Constructor Detail

### model

    public model()

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD